Jump to content
TorGuard

Torguard VPN Extension v2.4


Devon Treznor
 Share

Recommended Posts

Ever since the latest update I can't maintain a stable web proxy connection in Firefox for long. The solution last time was to make sure that my DNS servers were looking at 4.2.2.2, but that's no longer reliable. Everything is up to date and I've tried disabling all other add-ons without success. Has anyone else experienced similar problems?

Link to comment
Share on other sites

15 minutes ago, Devon Treznor said:

Ever since the latest update I can't maintain a stable web proxy connection in Firefox for long. The solution last time was to make sure that my DNS servers were looking at 4.2.2.2, but that's no longer reliable. Everything is up to date and I've tried disabling all other add-ons without success. Has anyone else experienced similar problems?

Yes. It's a mess on all browsers. I can get it to appear to work but it always takes some sort of continued interaction to get it to appear to work. I'm currently using v1.5 for Firefox as it poses less problems. I'm using v2.3 on Chrome, Brave, and Opera. Have to mess with those more. It should be considered beta.

Link to comment
Share on other sites

On 4/21/2021 at 4:49 AM, 149027_1511348148 said:

Yes. It's a mess on all browsers. I can get it to appear to work but it always takes some sort of continued interaction to get it to appear to work. I'm currently using v1.5 for Firefox as it poses less problems. I'm using v2.3 on Chrome, Brave, and Opera. Have to mess with those more. It should be considered beta.

 

Im not sure why you feel the need to jump on every extension thread - people will have issues regardless and your circumstances will be different to the next user, there are many bowser variants, many similar extensions, security software amongst other variables that can affect these things, it is certainly not a "mess"....

On 4/21/2021 at 4:29 AM, Devon Treznor said:

Ever since the latest update I can't maintain a stable web proxy connection in Firefox for long. The solution last time was to make sure that my DNS servers were looking at 4.2.2.2, but that's no longer reliable. Everything is up to date and I've tried disabling all other add-ons without success. Has anyone else experienced similar problems?

 

Devon, can you please contact us through [email protected] and we can help with any issues you face, we have. few small bugs we are working on but overall the extension should be reliable.

Regards

Link to comment
Share on other sites

1 hour ago, Support said:

Im not sure why you feel the need to jump on every extension thread - people will have issues regardless and your circumstances will be different to the next user, there are many bowser variants, many similar extensions, security software amongst other variables that can affect these things, it is certainly not a "mess"....

I 'jumped in' because the OP ASKED if anyone else was having the issues they described. I informed them I saw the issues and some not put forth. I'm betting most all users are having the same problems and just aren't bothering to post about it or contact support.

I made a mistake the other day in a post I made where I stated Firefox v1.5 was behaving the same as the v2.* versions. V1.5 in Firefox ONLY REQUIRES clicking the icon for it to change to green after opening browser. All version 2.* requires disconnecting and reconnecting for browser icon to change to green. Why are you pushing v2.* on users when v1.5 at least functions BETTER? V2.3 in all other browsers still disconnects and sometimes has to be disabled to even browse although usually disabling and re-enabling the addon will get it working again, but is this how you guys want it to work? NOTE: That's not the same as "Disconnect" and then re-"Connect". That's completely disabling the addon entirely to be able to get the browser to load pages.

Look, I don't like to complain but I was given the major runaround when trying to assist you all on this issue via support tickets. I wanna help, but one thing I requested after all else was failing was a link to v1.5 since it had little to no problems that I was aware of other than the icon not showing green on browser startup. Supports response was to answer with a question(s) already answered... sometimes on other occasions and being asked to do things already done that didn't work. Fortunately a forum user, Ashutosh, pointed me in the direction of v1.5. Why does a forum user have to be the one that gives an answer that support actively refuses to give? I'm appreciative of Ashutosh's help and would be appreciative of supports help if it actually did. Ashutosh's mention of not clicking "Dismiss" if it pops up keeps one from losing their credentials. I've not seen one comment anywhere from support in the forum or in an open support ticket about this WHEN LOSING CREDENTIALS IS A MAJOR PROBLEM... unless one avoids clicking "Dismiss".

Does v1.5 have a problem I'm not seeing past the browser icon not turning green? Is it not doing what's intended for a proxy? Change for change sake isn't good. From what I see, the new version is a GUI LOOK AT MY GRAPHICS upgrade. The desktop client GUI LOOK AT MY GRAPHICS upgrade ended up not being a plus either. Good that I was able to go back easily. Now if only I could revert the other browsers back to previous v1.* versions. BTW, at least I found out one could use the Chrome addon in Opera and went to the trouble of messing with it.

I did everything I could to help support and would be willing to help anytime. Getting ran around though doesn't help. I wanna be part of helping while also being helped.

  • Like 2
Link to comment
Share on other sites

On 4/22/2021 at 6:22 AM, Support said:

Devon, can you please contact us through [email protected] and we can help with any issues you face, we have. few small bugs we are working on but overall the extension should be reliable.

I've played this game with support before, and the solutions have been haphazard at best. The extension is not reliable, and I agree that the best step is to downgrade to v1.5. I hope the next release will be stable.

Link to comment
Share on other sites

1 hour ago, Devon Treznor said:

I've played this game with support before, and the solutions have been haphazard at best. The extension is not reliable, and I agree that the best step is to downgrade to v1.5. I hope the next release will be stable.

 

It is very difficult when not able to reproduce the issues in our environment but we have fixed many of the bugs mentioned *including the clearing of credentials* in the next build.

Link to comment
Share on other sites

On 4/27/2021 at 11:44 AM, Tagasaste said:

It also leaks DNS.

 

There are no DNS leaks in the extension, please explain why you might think you have a leak?

Link to comment
Share on other sites

On 4/27/2021 at 4:14 PM, Tagasaste said:

It also leaks DNS.

Not sure about that, but I wouldn't actually just rely on a browser extension for that. You can enable DNS-over-HTTPS in your browser settings or much better, use dnscrypt-proxy service for your entire OS (or even router.) You can find the installation instructions which are really simple to follow — I am personally using it on Fedora and a bunch of Windows VMs without any issues.

And I would also not recommend you to use leak test tools offered by various VPN providers since most of them basically check if you are connected using expected servers and DNS resolvers that they use. I personally use this website to perform DNS leak tests.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...